Subject: bug#348: libpam-ck-connector: pam_ck_connector logs cannot determine display-device when non-interactive

From: Mark Hindley <[email-masked]>
Date: Wed, 1 Apr 2020 16:52:49 +0100

Arne,

Control: tags -1 moreinfo

Thanks for this and sorry about the slow reply.

On Thu, 29 Aug 2019 15:09:20 +0200 Arne Wichmann <[email-masked]> wrote:
> Package: libpam-ck-connector
> Version: 1.2.1-4
> Severity: normal
> 
> Good day to you.
> 
> When doing as root:
>   echo 'su $USER ls'|at now
> auth.log logs
>   [...] su: pam_ck_connector(su:session): cannot determine display-device
> 
> I presume that is because there rightfully is none.

I have just tried this in a beowulf VM and cannot reproduce it.

The current version is 1.2.1-8 although I can't immediately see anything in the
changelog that might have fixed it.

Please can you verify it is still present and give instructions to reproduce.

Thanks

Mark